﻿$WinPETemp = "G:\TempPE"
$WinADK = "C:\Program Files (x86)\Windows Kits\10\" +
          "Assessment and Deployment Kit\" +
		  "Windows Preinstallation Environment\amd64"

$Disk= Get-Disk | Where-Object { $_.BusType -eq 'USB' } | 
                  Out-Gridview -passthru

Get-Disk -Number ($Disk.number) | Get-Partition | 
  Remove-partition -Confirm:$false -ErrorAction SilentlyContinue

$CDArgs = @{Number      = $Disk.Number
            RemoveData  = $True
			RemoveOEM   = $True
			Confirm     = $False
			ErrorAction = "SilentlyContinue"}  
Clear-Disk @CDArgs

$IDArgs = @{Number         = $Disk.Number
            PartitionStyle = "MBR"
			ErrorAction = "SilentlyContinue"}
Initialize-Disk @IDArgs

$OSDrive='Z'

$NPArgs = @{DiskNumber     = $Disk.Number
            DriveLetter    = "$OSDrive"
			UseMaximumSize = $True
			IsActive       = $True}
$Partition = New-Partition @NPArgs

$FVArgs = @{Partition          = $Partition
            FileSystem         = "FAT32"
			NewFileSystemLabel = 'WinPEPS'}
Format-Volume @FVArgs


$NIArgs = @{ItemType = 'Directory'
            Path     = "$WinPETemp" 
            Force    = $True}
New-Item @NIArgs

$CIArgs = @{Path        = "$WinAdk\Media" 
            Destination = $WinPETemp 
            Recurse     = $True
            Force       = $True}
Copy-Item @CIArgs

$NIArgs = @{ItemType = 'Directory'
            Path     = "$WinPETemp\Media\Sources" 
            Force    = $True}
New-Item @NIArgs

$CIArgs = @{Path        = "G:\Pewim\boot.wim" 
            Destination = "$WinPETemp\Media\Sources\boot.wim"}
Copy-Item @CIArgs

$WinPEKey = "$OSDrive" + ":\"

$CIArgs = @{Path        = "$WinPETemp\Media\*" 
            Destination = "$WinPEKey"
            Recurse     = $True
            Force       = $True}
Copy-Item @CIArgs

& "$($env:windir)\system32\bootsect.exe" /nt60 "$WinPEKey"